VSTGUI: CDrawContext::Impl::State Struct Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
CDrawContext::Impl::State Struct Reference

## Public Member Functions
| State ()=default
| State (const State &state)
State & | operator= (const State &state)=default
| State (State &&state) noexcept
State & | operator= (State &&state) noexcept

## Public Attributes
SharedPointer< CFontDesc > | font
CColor | frameColor {kTransparentCColor}
CColor | fillColor {kTransparentCColor}
CColor | fontColor {kTransparentCColor}
CCoord | frameWidth {0.}
CPoint | penLoc {}
CRect | clipRect {}
CLineStyle | lineStyle {kLineOnOffDash}
CDrawMode | drawMode {kAntiAliasing}
float | globalAlpha {1.f}
BitmapInterpolationQuality | bitmapQuality {BitmapInterpolationQuality::kDefault}

## Constructor & Destructor Documentation

## ◆ State() [1/3]

State | ( |  | ) |
| default

## ◆ State() [2/3]

State | ( | const State & | state | ) |

## ◆ State() [3/3]

State | ( | State && | state | ) |
| noexcept

## Member Function Documentation

## ◆ operator=() [1/2]

State & operator= | ( | const State & | state | ) |
| default

## ◆ operator=() [2/2]

CDrawContext::Impl::State & operator= | ( | State && | state | ) |
| noexcept

## Member Data Documentation

## ◆ bitmapQuality

BitmapInterpolationQuality bitmapQuality {BitmapInterpolationQuality::kDefault}

## ◆ clipRect

CRect clipRect {}

## ◆ drawMode

CDrawMode drawMode {kAntiAliasing}

## ◆ fillColor

CColor fillColor {kTransparentCColor}

## ◆ font

SharedPointer<CFontDesc> font

## ◆ fontColor

CColor fontColor {kTransparentCColor}

## ◆ frameColor

CColor frameColor {kTransparentCColor}

## ◆ frameWidth

CCoord frameWidth {0.}

## ◆ globalAlpha

float globalAlpha {1.f}

## ◆ lineStyle

CLineStyle lineStyle {kLineOnOffDash}

## ◆ penLoc

CPoint penLoc {}

The documentation for this struct was generated from the following file:

- cdrawcontext.cpp